This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 51580 - Changing themes crash the entire X session
Changing themes crash the entire X session
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gtk-engines (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-12 13:11 EDT by Kjartan Maraas
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-13 15:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2001-08-12 13:11:55 EDT
Description of Problem:

Changing themes take down most of my apps, including nautilus, panel etc

How Reproducible:

Every time.

Steps to Reproduce:
1. open themes capplet
2. change themes like this:
BeCool->Default->BrushedMetalClean->Default->BrushedmetalClean
3. it crashes

Actual Results:

Major crash of all apps.

Expected Results:

New theme shown?

Additional Information:

I think this happens with more of the themes so it could be worthwhile to
investigate more combinations leading to crashes like this.
Comment 1 Owen Taylor 2001-08-12 15:10:44 EDT
OK, I can get it just switching from BeCool to Brushed-metal-clean, 
so it's pretty compact for a test case.
Comment 2 Owen Taylor 2001-08-12 17:00:27 EDT
Thought I had it tracked down to a gtk_style_copy() bug, but it turns
out it only happens in programs that call gnome_init(), so I think
it has something to do with imlib. (gnome-libs makes gtk_rc_load_image()
use imlib)

Comment 3 Owen Taylor 2001-08-12 19:31:53 EDT
OK, in addition to the gtk_style_copy() bug which might cause a few
apps to crash, found the main problem in a imlib/gnome-libs bug.

With those two patched, I can switch themes between the set we
install continuously without any crashes.
Comment 4 Glen Foster 2001-08-13 15:04:54 EDT
This defect is considered MUST-FIX for Fairfax.
Comment 5 Owen Taylor 2001-08-14 16:02:18 EDT
Fixed in gnome-libs-1.2.13 and gtk+-1.2.10-10

Note You need to log in before you can comment on or make changes to this bug.